\name{mrp.zurich}
\alias{mrp.zurich}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Multilevel Regression with Poststratification 
%%  ~~function to do ... ~~
}
\description{This function provides cantonal estimates of public support based on MrP. 
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
mrp.zurich(response.model, augment.data = NA, augment.row = 0, uncertainty = FALSE, 
           Number.sim = 1000, output = 2)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{response.model}{The output object of \code{glmer} or \code{blmer} where one estimates a hierarchical model with random effects for: age, education, gender, canton, and region.
%%     ~~Describe \code{response.model} here~~
}
  \item{augment.data}{In case one uses survey data for the generation of \code{response.model} which does not have any respondents from one or more cantons there is a problem. The function does not know the values of the level 2 explanatory variables in the \code{response.model} and would hence produce NA's or wrong results. Users can supply the missing information as \code{augment.data}.
%%     ~~Describe \code{augment.data} here~~
}
  \item{augment.row}{Integer, between 1 and 26. Indicates the row or rows where the \code{augment.data} will be inserted. If data is missing for BE (second canton) and LU (third canton) one will have to supply a vector \code{c(2,3)}.
%%     ~~Describe \code{augment.row} here~~
}
  \item{uncertainty}{Logical. If \code{uncertainty=TRUE} the function will run \code{Number.sim} simulations to obtain a measure of uncertainty for each cantonal prediction.
%%     ~~Describe \code{uncertainty} here~~
}
  \item{Number.sim}{Integer. Number of simulations to be run for uncertainty measure. Default is set to 1000.
%%     ~~Describe \code{Number.sim} here~~
}
  \item{output}{Integer (0,1,2). Controls how much information is displayed. This option does not affect any functionality but only impacts on the amount of information which will be displayed.
%%     ~~Describe \code{output} here~~
}
}
\references{Jeffrey Lax and Justin Phillips. 2009. How Should We Estimate Public Opinion in The States? \emph{American Journal of Political Science} 53 (1), 107-121.
	
	 Leemann, Lucas and Fabio Wasserfallen. 2013. Direct Democracy, Representation, and Policy Congruence. Presented at the \emph{General Conference of the European Political Science Association} Barcelona: June 20-22.
}
%% ~put references to the literature/web site here ~

\author{Lucas Leemann
%%  ~~who you are~~
}
\note{This function was written for a MA class at the University of Zurich (Fall 2013), see lecture by Fabio Wasserfallen on 11.29.2013 and the follow-up lecture by Lucas Leemann (12.13.2013).
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\examples{
### Fake data
err.ind <- rnorm(1000,sd=4)
woman <- sample(c(0,1),replace=TRUE,size=1000) 
age <- sample(c(1:4),replace=TRUE,size=1000) 
education <- sample(c(1:6),replace=TRUE,size=1000) 
cantonnr <- sample(c(1:26),replace=TRUE,size=1000) 
region <- sample(c(1:7),replace=TRUE,size=1000) 
x <- rnorm(26); err.con <- rnorm(26,sd=4); X <- matrix(NA,1000,2)
for (q in 1:1000){ X[q,] <- c(x[cantonnr[q]],err.con[cantonnr[q]])}
y.fake <- X[,1] +X[,2] + woman+age+education+cantonnr+region + err.ind
y <- rep(0,length(y.fake))
y[y.fake>mean(y.fake)]<-1
model1 <- glmer(y ~ X[,1] + (1|woman)  + (1|education) + (1|age) + (1|cantonnr) 
                + (1|region), family=binomial(probit))
# now we can use the MrP function
mrp1 <- mrp.zurich(model1)

## Assume model1 would not have any repsondents from JU (cantonnr 26) and x[26]==2
mrp2 <- mrp.zurich(model1,augment.data=2,augment.row=26)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{MrP}
\keyword{poststratification}
\keyword{prediction}
\keyword{Estimating Public Opinion}% __ONLY ONE__ keyword per line
